package ru.soune.nocopy.dto.file;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CheckIncrementResult {
    private boolean success;
    private Integer countChecked;
    private Integer remainingLimit;
    private String message;

    public static CheckIncrementResult success(Integer countChecked) {
        return CheckIncrementResult.builder()
                .success(true)
                .countChecked(countChecked)
                .message("Check count incremented successfully")
                .build();
    }
}
